import {
	WeaTools
} from 'ecCom'

export const getHasRight = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/getHasRight', 'GET', params);
}

export const getMenus = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/getRightMenu', 'GET', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/getSearchCondition', 'GET', params);
}

export const getHolidaySetCalendar = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/getHolidaySetCalendar', 'GET', params);
}

export const getHolidayCount = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/getHolidayCount', 'GET', params);
}

export const getSearchList = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/getSearchList', 'GET', params);
}

export const getHolidaySetForm = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/getHolidaySetForm', 'GET', params);
}

export const addHolidaySet = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/addHolidaySet', 'POST', params);
}

export const editHolidaySet = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/editHolidaySet', 'POST', params);
}

export const deleteHolidaySet = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/deleteHolidaySet', 'POST', params);
}

export const initHolidaySet = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/initHolidaySet', 'POST', params);
}

export const getSyncForm = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/getSyncForm', 'GET', params);
}

export const syncHolidaySet = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/syncHolidaySet', 'POST', params);
}

export const hasRepeactData = (params) => {
	return WeaTools.callApi('/api/kq/holidayset/hasRepeactData', 'GET', params);
}